<template>
  <div v-if="isAffichable" class="is-hidden-mobile">
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: 'MtAffichable',
  props: {
    forcerAffichageForTest: Boolean,
    id: {
      type: String,
      default: '',
      required: true,
    },
    affichage: {
      type: Array,
      default: () => [],
      required: true,
    },
  },
  methods: {
    isAffichable() {
      if (this.forcerAffichageForTest) {
        return true;
      }
      return this.affichage.find((element) => element.date === this.id);
    },
  },
};
</script>

<style scoped></style>
